Raritan PX2/PX3 JSON-RPC API

RawConfiguration.idl
1 /* SPDX-License-Identifier: BSD-3-Clause */
2 /*
3 * Copyright 2018 Raritan Inc. All rights reserved.
4 */
5
6 /** Raw Configuration */
7 module rawcfg {
8
9 /** Raw Configuration Interface */
10 interface RawConfiguration {
11
12 /** Status of the last raw configuration update operation */
13 enumeration Status {
14 UNKNOWN, ///< No raw configuration was done yet
15 UPLOAD_FAILED, ///< Uploading a raw configuration failed
16 UPDATE_PENDING, ///< Update is pending
17 UPDATE_OK, ///< Updating raw configuration successful
18 UPDATE_FAILED ///< Updating raw configuration failed
19 };
20
21 /**
22 * Retrieve the status of the last raw configuration update
23 * operation.
24 *
25 * @param status Result: Raw configuration update status
26 * @param timeStamp Result: Time of last update operation
27 */
28 void getStatus(out Status status, out time timeStamp);
29
30 };
31
32 }
rawcfg::RawConfiguration::Status
Status
Status of the last raw configuration update operation.
Definition: RawConfiguration.idl:13
rawcfg::RawConfiguration::UNKNOWN
No raw configuration was done yet.
Definition: RawConfiguration.idl:14
rawcfg
Raw Configuration.
Definition: RawConfiguration.idl:7
rawcfg::RawConfiguration::UPDATE_PENDING
Update is pending.
Definition: RawConfiguration.idl:16
rawcfg::RawConfiguration
Raw Configuration Interface.
Definition: RawConfiguration.idl:10
rawcfg::RawConfiguration::UPLOAD_FAILED
Uploading a raw configuration failed.
Definition: RawConfiguration.idl:15
rawcfg::RawConfiguration::UPDATE_OK
Updating raw configuration successful.
Definition: RawConfiguration.idl:17